package com.xtd.project.assets.mapper;

import java.util.List;
import com.xtd.project.assets.domain.DbAuditForm;

/**
 * 审核Mapper接口
 * 
 * @author xtd
 * @date 2020-04-09
 */
public interface DbAuditFormMapper 
{
    /**
     * 查询审核
     * 
     * @param id 审核ID
     * @return 审核
     */
    public DbAuditForm selectDbAuditFormById(Long id);

    /**
     * 查询审核列表
     * 
     * @param dbAuditForm 审核
     * @return 审核集合
     */
    public List<DbAuditForm> selectDbAuditFormList(DbAuditForm dbAuditForm);

    /**
     * 新增审核
     * 
     * @param dbAuditForm 审核
     * @return 结果
     */
    public int insertDbAuditForm(DbAuditForm dbAuditForm);

    /**
     * 修改审核
     * 
     * @param dbAuditForm 审核
     * @return 结果
     */
    public int updateDbAuditForm(DbAuditForm dbAuditForm);

    /**
     * 删除审核
     * 
     * @param id 审核ID
     * @return 结果
     */
    public int deleteDbAuditFormById(Long id);

    /**
     * 批量删除审核
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteDbAuditFormByIds(Long[] ids);
}
